Skip to main content
GET
/
api
/
tasks
List tasks
curl --request GET \
  --url https://app.solya.app/api/tasks \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "assigneeId": "550e8400-e29b-41d4-a716-446655440030",
      "category": "APPROVAL",
      "createdAt": "2026-06-01T08:00:00.000Z",
      "domain": null,
      "dueDate": "2026-07-01T00:00:00.000Z",
      "enrichment": {
        "actualValue": 12500,
        "kind": "PLAN_APPROVAL",
        "planName": "Rebalance Summer 2026",
        "planType": "REBALANCE",
        "status": "PENDING",
        "thresholdValue": 10000
      },
      "evidence": null,
      "id": "550e8400-e29b-41d4-a716-446655440001",
      "kind": null,
      "organizationId": "550e8400-e29b-41d4-a716-446655440010",
      "payload": null,
      "priority": "HIGH",
      "scopes": [],
      "shopId": null,
      "sourceId": "550e8400-e29b-41d4-a716-446655440020",
      "sourceType": "PLAN_APPROVAL",
      "status": "OPEN",
      "updatedAt": "2026-06-01T08:00:00.000Z",
      "variantId": null
    },
    {
      "assigneeId": null,
      "category": "ALERT",
      "createdAt": "2026-06-03T10:00:00.000Z",
      "domain": null,
      "dueDate": null,
      "enrichment": {
        "alertName": "Low stock alert",
        "description": null,
        "kind": "ALERT_INSTANCE",
        "scopeLabels": [
          "Nike",
          "Paris Store"
        ],
        "tagNames": [],
        "tagOperator": "AND",
        "tagRules": [],
        "triggeredValue": 3
      },
      "evidence": null,
      "id": "550e8400-e29b-41d4-a716-446655440002",
      "kind": "REVIEW",
      "organizationId": "550e8400-e29b-41d4-a716-446655440010",
      "payload": null,
      "priority": "URGENT",
      "scopes": [
        {
          "id": "shop-paris",
          "kind": "SHOP",
          "label": "Paris Store"
        }
      ],
      "shopId": null,
      "sourceId": "550e8400-e29b-41d4-a716-446655440021",
      "sourceType": "ALERT_INSTANCE",
      "status": "IN_PROGRESS",
      "updatedAt": "2026-06-03T14:00:00.000Z",
      "variantId": null
    }
  ],
  "page": 1,
  "pageSize": 20,
  "total": 11
}

Authorizations

Authorization
string
header
required

User session token issued by NextAuth. For human users accessing Solya via the web application.

Query Parameters

page
integer
default:1

Page number, 1-indexed (default: 1)

Required range: 1 <= x <= 9007199254740991
pageSize
integer
default:20

Number of items per page, max 100 (default: 20)

Required range: 1 <= x <= 100
status
required

Filter by one or more task statuses (comma-separated or array). Allowed values: OPEN, IN_PROGRESS, DONE, DISMISSED.

Available options:
OPEN,
IN_PROGRESS,
DONE,
DISMISSED
sourceType
required

Filter by one or more task source types (comma-separated or array). Allowed values: PLAN_APPROVAL, ALERT_INSTANCE, RECOMMENDED_PLAN, ACTION_VECTOR.

Available options:
ACTION_APPROVAL,
PLAN_APPROVAL,
ALERT_INSTANCE,
RECOMMENDED_PLAN,
ACTION_VECTOR
assigneeId
string

Filter tasks by assignee user ID. Returns only tasks assigned to this user.

Response

Successful response

data
object
required
success
enum<boolean>
required
Available options:
true